com.google.gwt.user.client.ui

## Class SuggestOracle.Request

- java.lang.Object
- - com.google.gwt.user.client.ui.SuggestOracle.Request

All Implemented Interfaces:
  IsSerializable

Enclosing class:
  SuggestOracle

    public static class SuggestOracle.Request
    extends java.lang.Object
    implements IsSerializable

A `SuggestOracle` request.

### Constructor Summary

Constructors
Constructor and Description
`Request()` Constructor for `SuggestOracle.Request`.
`Request(java.lang.String query)` Constructor for `SuggestOracle.Request`.
`Request(java.lang.String query, int limit)` Constructor for `SuggestOracle.Request`.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getLimit()` Gets the limit on the number of suggestions that should be created.
`java.lang.String` `getQuery()` Gets the query string.
`void` `setLimit(int limit)` Sets the limit on the number of suggestions that should be created.
`void` `setQuery(java.lang.String query)` Sets the query string used for this request.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Request

    public Request()

Constructor for `SuggestOracle.Request`.

#### Request

    public Request(java.lang.String query)

Constructor for `SuggestOracle.Request`.

Parameters:
  `query` - the query string

#### Request

    public Request(java.lang.String query,
                   int limit)

Constructor for `SuggestOracle.Request`.

Parameters:
  `query` - the query string
  `limit` - limit on the number of suggestions that should be created for this query

### Method Detail

#### getLimit

    public int getLimit()

Gets the limit on the number of suggestions that should be created.

Returns:
  the limit

#### getQuery

    public java.lang.String getQuery()

Gets the query string.

Returns:
  the query string

#### setLimit

    public void setLimit(int limit)

Sets the limit on the number of suggestions that should be created.

Parameters:
  `limit` - the limit

#### setQuery

    public void setQuery(java.lang.String query)

Sets the query string used for this request.

Parameters:
  `query` - the query string